package com.greenorange.promotion.designModel;

public class Client {
    public static void main(String[] args) {

        TestController testController = new TestController();

        Light light = new Light();
        TV tv = new TV();

        LightOnCommand lightOnCommand = new LightOnCommand(light);
        TVOnCommand tvOnCommand = new TVOnCommand(tv);

        testController.setCommand(lightOnCommand);
        testController.setCommand(tvOnCommand);
    }



}
